﻿using C1.WPF.DataGrid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NestedDatagrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Person> Persons { get; set; }
        private ObservableCollection<Group> groups;
        private ObservableCollection<Department> departments;
        public MainWindow()
        {
            InitializeComponent();
            CreateData();
            this.DataContext = this;
            datagrid.VerticalScrollStep = new DataGridScrollStep(20, DataGridScrollStepUnitType.Pixel);
        }

        public void CreateData()
        {
            Persons = new ObservableCollection<Person>();
            Group groupA = new Group() { GrpName = "A", HeadCount = 15 };
            Group groupB = new Group() { GrpName = "B", HeadCount = 20 };
            Group groupC = new Group() { GrpName = "C", HeadCount = 18 };

            groups = new ObservableCollection<Group>();
            groups.Add(groupA);
            groups.Add(groupB);

            Department departmentA = new Department() { DepName = "English",  Groups = groups};

            groups = new ObservableCollection<Group>();
            groups.Add(groupB);
            groups.Add(groupC);
            Department departmentB = new Department() { DepName = "Maths", Groups = groups };

            groups = new ObservableCollection<Group>();
            groups.Add(groupA);
            groups.Add(groupB);
            groups.Add(groupC);
            Department departmentC = new Department() { DepName = "Hindi", Groups = groups };

            departments = new ObservableCollection<Department>();
            departments.Add(departmentA);
            departments.Add(departmentB);
            departments.Add(departmentC);

            Persons.Add(new Person { Name = "Alex", Age = 18, Departments = departments });

            departments = new ObservableCollection<Department>();
            departments.Add(departmentA);
            departments.Add(departmentC);
            Persons.Add(new Person { Name = "Charlie", Age = 25, Departments = departments });

            departments = new ObservableCollection<Department>();
            departments.Add(departmentB);
            departments.Add(departmentC);
            Persons.Add(new Person { Name = "Richard", Age = 16, Departments = departments });

        }
    }
}
