﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Security.AccessControl;
using System.Text;
using System.Threading.Tasks;

namespace NestedDatagrid
{
    public class Person
    {
		private string _name;

		public string Name
		{
			get { return _name; }
			set { _name = value; }
		}

        private int _age;

        public int Age
        {
            get { return _age; }
            set { _age = value; }
        }

        private ObservableCollection<Department> _departments;

        public ObservableCollection<Department> Departments
        {
            get { return _departments; }
            set { _departments = value; }
        }

    }

    public class Department
    {
        private string _depName;

        public string DepName
        {
            get { return _depName; }
            set { _depName = value; }
        }

        private ObservableCollection<Group> _groups;

        public ObservableCollection<Group> Groups
        {
            get { return _groups; }
            set { _groups = value; }
        }
    }

    public class Group
    {
        private string _grpName;
        public string GrpName
        {
            get { return _grpName; }
            set { _grpName = value; }
        }

        private int _headCount;

        public int HeadCount
        {
            get { return _headCount; }
            set { _headCount = value; }
        }
    }
}
